## geonames 0.2%2B17.04.20170220-0ubuntu1

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 4 -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	# don't install libtool files they are not needed
	find debian -name *.la -delete
	
	# drop any translations for locales we don't care about
	for mo in debian/tmp/usr/share/locale/*; do \
		export locale="$$(basename $${mo} .po)"; \
		if ! grep -q "^$${locale}[ ._]" /usr/share/i18n/SUPPORTED; then \
			rm -r "$${mo}"; \
		fi; \
	done
	
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Have to specify LC_ALL manually until https://launchpad.net/bugs/1566590
	# is fixed.
	LC_ALL=C.UTF-8 dh_auto_test -- VERBOSE=1
endif

## geonames 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(geonames VERSION 0.3.0 LANGUAGES C)

include(GNUInstallDirs)
include(FindPkgConfig)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

pkg_check_modules(GIO REQUIRED gio-2.0>=2.32)
pkg_check_modules(GLIB REQUIRED glib-2.0>=2.32)

option(WANT_DOC "Build doc" ON)
option(WANT_TESTS "Build tests" ON)
option(WANT_DEMO "Build demo" OFF)

add_subdirectory(src)

if(WANT_DOC)
    add_subdirectory(doc)
endif()

if(WANT_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()

if(WANT_DEMO)
    add_subdirectory(demo)
endif()

=== demo/CMakeLists.txt ===
pkg_check_modules(GTK REQUIRED gtk+-3.0)

add_executable(geonames-demo
    geonames-demo.c
)

target_link_libraries(geonames-demo
    ${PROJECT_NAME}
    ${GTK_LIBRARIES}
)

target_include_directories(geonames-demo PRIVATE
    ${PROJECT_NAME}
    ../src

    ${GTK_INCLUDE_DIRS}
)

install(TARGETS geonames-demo RUNTIME DESTINATION bin)

## geonames 0.2+16.04.20160321-0ubuntu1

=== debian/changelog ===
geonames (0.2+16.04.20160321-0ubuntu1) xenial; urgency=medium

  [ Michael Terry ]
  * Add geonames_city_get_country_code, geonames_city_get_latitude,
    geonames_city_get_longitude, and geonames_city_get_population

  [ CI Train Bot ]
  * debian/libgeonames0.symbols: update to released version.
  * No-change rebuild.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Mon, 21 Mar 2016 23:47:04 +0000

geonames (0.1+16.04.20160315-0ubuntu1) xenial; urgency=medium

  [ Lars Uebernickel ]
  * Add demo application added: demo/ demo/Makefile.am demo/geonames-
    demo.c
  * Add documentation added: doc/ doc/Makefile.am doc/reference/
    doc/reference/Makefile.am doc/reference/geonames-docs.xml.in
  * Add geonames_get_n_cities()
  * Add geonames_query_cities_sync()
  * Add pkgconfig file added: src/geonames.pc.in
  * Add sanity test for empty results
  * Add support for g_autoptr
  * Don't install geonames-mkdb
  * Empty argument list is bad C99
  * Ensure that geonames db is loaded before querying it
  * Favor larger cities
  * Fix typo in public enum field
  * Install headers
  * demo: don't leak indices
  * query_cities: return array directly
  * query_cities_finish: write to indices out parameter
  * tests: link against libgeonames and use new sync api

  [ Michael Terry ]
  * Fix double-free when querying.
  * Merge debian packaging branch added: COPYING debian/
    debian/changelog debian/compat debian/control debian/copyright
    debian/libgeonames-dev.install debian/libgeonames0.install
    debian/libgeonames0.symbols debian/rules debian/source/
    debian/source/format

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 15 Mar 2016 13:33:03 +0000

geonames (0.1-0ubuntu1) xenial; urgency=low

  * Initial release

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Thu, 17 Sep 2015 17:04:21 +0200

=== debian/control ===
Source: geonames
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-translations,
               gtk-doc-tools (>= 1.21),
               intltool,
               libglib2.0-dev,
               pkg-config,
Standards-Version: 3.9.6
Homepage: https://launchpad.net/geonames
# if you don't have have commit access to this branch but would like to upload
# directly to Ubuntu, don't worry: your changes will be merged back into the
# upstream branch
Vcs-Bzr: lp:geonames

Package: libgeonames0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Parse and query the geonames database dump
 A library for parsing and querying a local copy of the geonames.org database.
 .
 This package contains the shared libraries.

Package: libgeonames-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgeonames0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends},
Description: geonames - library development files
 A library for parsing and querying a local copy of the geonames.org database.
 .
 This package contains the header and development files which are needed to use
 the libgeonames library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 4 -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	# don't install libtool files they are not needed
	find debian -name *.la -delete
	dh_install --fail-missing

## geonames 0.2+16.04.20160426-0ubuntu1

=== debian/changelog ===
geonames (0.2+16.04.20160426-0ubuntu1) xenial; urgency=medium

  * Add support for translations of city, states, and country names.

 -- Michael Terry <michael.terry@canonical.com>  Tue, 26 Apr 2016 08:44:43 +0000

## geonames 0.2+17.04.20170220-0ubuntu1

=== debian/changelog ===
geonames (0.2+17.04.20170220-0ubuntu1) zesty; urgency=medium

  * Be less strict on city search (LP: #1590462)

 -- Albert Astals Cid <albert.astals@canonical.com>  Mon, 20 Feb 2017 11:07:52 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                gtk-doc-tools (>= 1.21),
                intltool,
                libglib2.0-dev,
+               locales,
                pkg-config,
 Standards-Version: 3.9.6
 Homepage: https://launchpad.net/geonames
@@ -22,10 +23,21 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libgeonames-common (= ${source:Version}),
 Description: Parse and query the geonames database dump
  A library for parsing and querying a local copy of the geonames.org database.
  .
  This package contains the shared libraries.
+
+Package: libgeonames-common
+Architecture: all
+Multi-Arch: foreign
+Section: libs
+Depends: ${misc:Depends},
+Description: geonames - data files
+ A library for parsing and querying a local copy of the geonames.org database.
+ .
+ This package contains library data files.
 
 Package: libgeonames-dev
 Architecture: any

## geonames 0.2+17.04.20170220-0ubuntu2

=== debian/changelog ===
geonames (0.2+17.04.20170220-0ubuntu2) disco; urgency=medium

  * Use correct machine-readable copyright file URI.
  * Use secure URI in Vcs control header.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Jan 2019 02:58:48 +0000

## geonames 0.2+17.04.20170220-0ubuntu3

=== debian/changelog ===
geonames (0.2+17.04.20170220-0ubuntu3) focal; urgency=medium

  * Remove object hierarchy from documentation to fix FTBFS with newer
    gtk-doc-tools.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Mar 2020 00:13:22 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # if you don't have have commit access to this branch but would like to upload
 # directly to Ubuntu, don't worry: your changes will be merged back into the
 # upstream branch
-Vcs-Bzr: lp:geonames
+Vcs-Bzr: https://code.launchpad.net/geonames
 
 Package: libgeonames0
 Architecture: any

## geonames 0.2+17.04.20170220-0ubuntu4

=== debian/changelog ===
geonames (0.2+17.04.20170220-0ubuntu4) hirsute; urgency=medium

  * d/libgeonames0.symbols: Add symbol that was probably autogenerated by a
    newer version of glib to fix FTBFS on rebuild.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 18 Jan 2021 19:44:56 -0500

## geonames 0.3.0~git20221003.6d6b137

=== debian/changelog ===
geonames (0.3.0~git20221003.6d6b137-2) unstable; urgency=medium

  * Team upload

  [ Mike Gabriel ]
  * debian/watch:
    + Switch to default branch when watching upstream Git.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Oct 2022 15:33:07 +0200

geonames (0.3.0~git20221003.6d6b137-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1007819).

  [ Mike Gabriel ]
  * debian/control:
    + Use trailing commas in Depends: and Uploaders: fields.
  * debian/rules:
    + Add get-orig-source target for maintainer's convenience.
    + Allow parallel builds. Resolved upstream.
  * debian/watch:
    + Add file. Use MR branch for initial upload.
  * debian/libgeonames0.symbols:
    + Update symbols.
    + Add Build-Depends-Package: metadata field.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/{rules,control,libgeonames-dev.*}:
    + Move GTK documentation files to /usr/share/doc/<dev:pkg>/ directory.
      Make sure we don't ship duplicates in API docs.
  * debian/libgeonames-dev.doc-base:
    + Add file

  [ Marius Gripsgard ]
  * Fixup debian/ folder to match Debian policy better.
  * debian/source/format:
    + Turn into quilt pkg
  * debian/control:
    + Use wrap-and-sort and adjust layout.
  * debian/copyright:
    + Fixup copyright attributions.
  * debian/{control,rules}:
    + Update to support cmake and bump compat.

  [ Jelmer Vernooĳ ]
  * debian/:
    + Apply janitor changes.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2022 21:41:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: geonames
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dh-translations,
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Uploaders: Mike Gabriel <sunweaver@debian.org>,
+           Marius Gripsgard <marius@ubports.com>,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                gtk-doc-tools (>= 1.21),
                intltool,
                libglib2.0-dev,
                locales,
                pkg-config,
-Standards-Version: 3.9.6
-Homepage: https://launchpad.net/geonames
-# if you don't have have commit access to this branch but would like to upload
-# directly to Ubuntu, don't worry: your changes will be merged back into the
-# upstream branch
-Vcs-Bzr: https://code.launchpad.net/geonames
+               rdfind,
+               symlinks,
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://gitlab.com/ubports/development/core/geonames
+Vcs-Git: https://salsa.debian.org/ubports-team/geonames.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/geonames/
 
 Package: libgeonames0
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
+Depends: libgeonames-common (= ${source:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
-         libgeonames-common (= ${source:Version}),
 Description: Parse and query the geonames database dump
  A library for parsing and querying a local copy of the geonames.org database.
  .

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.3.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/geonames \
HEAD debian uupdate

## geonames 0.3.0

=== debian/changelog ===
geonames (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/watch:
    + Switch to default branch when watching upstream Git.
  * debian/copyright:
    + Update attributions for debian/.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Jan 2023 08:08:28 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pkg-config,
                rdfind,
                symlinks,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/geonames
 Vcs-Git: https://salsa.debian.org/ubports-team/geonames.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 4 -*-

include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	# drop any translations for locales we don't care about
	for mo in debian/tmp/usr/share/locale/*; do \
		export locale="$$(basename $${mo} .po)"; \
		if ! grep -q "^$${locale}[ ._]" /usr/share/i18n/SUPPORTED; then \
			rm -r "$${mo}"; \
		fi; \
	done

	mkdir -p "$(CURDIR)/debian/tmp/usr/share/doc/libgeonames-dev/html/"
	mv $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/geonames/* $(CURDIR)/debian/tmp/usr/share/doc/libgeonames-dev/html/
	rmdir $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/geonames/
	find "$(CURDIR)/debian/tmp/usr/share/doc/libgeonames-dev/html/" -name *.md5 -delete; \
	    rdfind -makesymlinks true "$(CURDIR)/debian/tmp/usr/share/doc/libgeonames-dev/html/"; \
	    symlinks -rc "$(CURDIR)/debian/tmp/usr/share/doc/libgeonames-dev/html/"

	dh_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Have to specify LC_ALL manually until https://launchpad.net/bugs/1566590
	# is fixed.
	LC_ALL=C.UTF-8 dh_auto_test -- VERBOSE=1
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/geonames/tags .*/geonames-(\d\S+)\.tar\.gz

## geonames 0.3.1

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -16,4 +16,4 @@
     ${GTK_INCLUDE_DIRS}
 )
 
-install(TARGETS geonames-demo RUNTIME DESTINATION bin)
+install(TARGETS geonames-demo RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/CMakeLists.txt ===
set(GENERATED_PO_DIR "${CMAKE_CURRENT_BINARY_DIR}/po" PARENT_SCOPE)
set(GENERATED_FILES ${GENERATED_PO_DIR} ${CMAKE_CURRENT_BINARY_DIR}/cities.compiled)

add_executable(mkdb
    geonames-mkdb.c
)

target_link_libraries(mkdb
    ${GIO_LIBRARIES}
)

target_include_directories(mkdb PUBLIC
    ${GIO_INCLUDE_DIRS}
)

add_custom_command(
    OUTPUT ${GENERATED_FILES}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND mkdb
    ARGS ${CMAKE_SOURCE_DIR}/data
    VERBATIM
    DEPENDS mkdb
)

add_custom_target(
    generated-files
    DEPENDS ${GENERATED_FILES}
)

find_program(GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)

set(GRESOURCE_C   geonames-resources.c)
set(GRESOURCE_XML geonames.gresources.xml)

add_custom_command(
    OUTPUT ${GRESOURCE_C}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND ${GLIB_COMPILE_RESOURCES}
    ARGS
        --target ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
        --generate-source ${CMAKE_CURRENT_SOURCE_DIR}/${GRESOURCE_XML}
    VERBATIM
    DEPENDS ${GENERATED_FILES}
)

add_custom_target(
    geonames-resource
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
)

add_definitions(-DPACKAGE="${PROJECT_NAME}")

add_library(${PROJECT_NAME} SHARED
    geonames.c
    geonames-query.c

    ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${GIO_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME}
    ${GIO_LIBRARIES}
    ${GLIB_LIBRARIES}
)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/locales-gen
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/generate-locales.sh
    ARGS ${PROJECT_NAME} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR}/locales-gen
    VERBATIM
    DEPENDS generated-files
)

add_custom_target(
    localesgen
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/locales-gen
)

add_dependencies(geonames
    localesgen
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/locales-gen/locale/ DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/)
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${PROJECT_NAME}.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
configure_file(${PROJECT_NAME}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== tests/CMakeLists.txt ===
add_custom_command(
    OUTPUT locales
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/setup-test-env.sh
    ARGS ${PROJECT_NAME} ${GENERATED_PO_DIR}
    VERBATIM
    DEPENDS generated-files
)

add_custom_target(
    test-env
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/locales
)

add_definitions(
    -DPACKAGE="${PROJECT_NAME}"
    -DLOCALEDIR="${CMAKE_CURRENT_BINARY_DIR}/locales"
)

add_executable(test_geonames
    test-geonames.c
)

add_dependencies(test_geonames
    test-env
)

target_link_libraries(test_geonames
    ${PROJECT_NAME}
)

target_include_directories(test_geonames PRIVATE
    ${PROJECT_NAME}
    ../src
)

add_test(test_geonames
    test_geonames
)

=== doc/reference/CMakeLists.txt ===
find_package(GtkDoc 1.33 REQUIRED)

configure_file(geonames-docs.xml.in "${CMAKE_BINARY_DIR}/doc/geonames-docs.xml" @ONLY)

gtk_doc_add_module(${PROJECT_NAME}
    XML "${CMAKE_BINARY_DIR}/doc/geonames-docs.xml"
    SOURCE "${CMAKE_SOURCE_DIR}/src"
    SUFFIXES "h" "c"

    LIBRARIES geonames

    IGNOREHEADERS geonames-query.h
)

add_custom_target(docs ALL
    DEPENDS ${PROJECT_NAME}
)
add_dependencies(docs doc-${PROJECT_NAME})
add_dependencies(doc-${PROJECT_NAME} ${PROJECT_NAME})

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/ DESTINATION ${CMAKE_INSTALL_DATADIR}/gtk-doc/html/${PROJECT_NAME})

=== debian/changelog ===
geonames (0.3.1-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 18:15:53 +0200

geonames (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Use my debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 01 Feb 2024 00:36:18 +0100

geonames (0.3.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: locales-all.
  * debian/rules:
    + Run unit tests with LC_ALL=en_US.UTF-8. (Closes: #1052859).
    + Clean results.txt file during dh_auto_clean. (Closes: #1044225).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 11:10:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-           Marius Gripsgard <marius@ubports.com>,
+           Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gtk-doc-tools (>= 1.21),
                intltool,
                libglib2.0-dev,
                locales,
+               locales-all,
                pkg-config,
                rdfind,
                symlinks,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/geonames
 Vcs-Git: https://salsa.debian.org/ubports-team/geonames.git

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,12 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Have to specify LC_ALL manually until https://launchpad.net/bugs/1566590
 	# is fixed.
-	LC_ALL=C.UTF-8 dh_auto_test -- VERBOSE=1
+	LC_ALL=en_US.UTF-8 dh_auto_test -- VERBOSE=1
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f results.txt
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## geonames 0.6

=== DESCRIPTION ===
Package: geonames
Type: Package
Title: Interface to www.geonames.org web service
Version: 0.6
Date: 2008-10-10
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <barry.rowlingson@gmail.com>
Depends: R (>= 2.2.0), rjson
Description: Code for querying the web service at www.geonames.org
License: GPL-3
LazyLoad: yes
Packaged: Thu Oct 16 04:52:19 2008; theussl

## geonames 0.8

=== DESCRIPTION ===
Package: geonames
Type: Package
Title: Interface to www.geonames.org web service
Version: 0.8
Date: 2008-10-16
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <barry.rowlingson@gmail.com>
Depends: R (>= 2.2.0), rjson
Description: Code for querying the web service at www.geonames.org
License: GPL-3
LazyLoad: yes
Revision: 13
Packaged: Fri Feb 27 05:12:52 2009; rforge

## geonames 0.996

=== DESCRIPTION ===
Package: geonames
Type: Package
Title: Interface to www.geonames.org web service
Version: 0.996
Date: 2011-24-11
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <b.rowlingson@gmail.com>
Depends: R (>= 2.2.0)
Imports: rjson
Description: Code for querying the web service at www.geonames.org
License: GPL-3
LazyLoad: yes
BugReports: https://github.com/barryrowlingson/geonames/issues
Packaged: 2014-05-06 20:39:06 UTC; rowlings
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-05-07 07:57:21

## geonames 0.997

=== DESCRIPTION ===
Package: geonames
Type: Package
Title: Interface to www.geonames.org web service
Version: 0.997
Date: 2011-24-11
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <b.rowlingson@gmail.com>
Depends: R (>= 2.2.0)
Imports: rjson
Description: Code for querying the web service at www.geonames.org
License: GPL-3
LazyLoad: yes
BugReports: https://github.com/ropensci/geonames/issues
Packaged: 2014-10-17 09:28:41 UTC; rowlings
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-20 01:01:31

## geonames 0.998

=== DESCRIPTION ===
Package: geonames
Type: Package
Title: Interface to www.geonames.org web service
Version: 0.998
Date: 2011-24-11
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <b.rowlingson@gmail.com>
Depends: R (>= 2.2.0)
Imports: rjson
Description: Code for querying the web service at www.geonames.org
License: GPL-3
LazyLoad: yes
BugReports: https://github.com/ropensci/geonames/issues
Packaged: 2014-12-19 17:40:07 UTC; rowlings
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-12-19 19:02:02

## geonames 0.999

=== DESCRIPTION ===
Package: geonames
Encoding: UTF-8
Type: Package
Title: Interface to the "Geonames" Spatial Query Web Service
Version: 0.999
Date: 2019-02-17
Author: Barry Rowlingson
Maintainer: Barry Rowlingson <b.rowlingson@gmail.com>
Depends: R (>= 2.2.0)
Imports: rjson
Description: The web service at <https://www.geonames.org/> provides a number of spatial data queries, including 
    administrative area hierarchies, city locations and some country postal code queries. A (free) username
    is required and rate limits exist.
License: GPL-3
LazyLoad: yes
BugReports: https://github.com/ropensci/geonames/issues
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2019-02-19 11:58:00 UTC; rowlings
Repository: CRAN
Date/Publication: 2019-02-19 12:30:15 UTC

## geonames postcode-0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = GeonamesPostcode
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
